# Mark or unmark a favourite

`PUT /hosting/design-library/favourites/{entry}` · Rivier · hosting

Mark or unmark a favourite.

- Scope: hosting:write
- Graphql: Mutation.hostingLibraryFavouriteSet
- Sdk: hosting.libraryFavourite.set
- Cli: hosting library favourite set

## Parameters

- `entry` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "on": {
      "type": "boolean"
    }
  },
  "required": [
    "on"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/hosting/design-library/favourites/{entry}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "on": false
}'
```
